<!DOCTYPE html>
<html>

<head>
    <!-- link để sử dụng jquery và boostsrap-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
<div class="container mt-4">
    <h1 id="h1-chao-mung"> Chào bạn đến với Jquery !!!</h1>
    <h1 id="h1-jquery-doi-tuong" class="text-primary"> Jquery là đối tượng vỏ bao ra ngoài đối tượng DOM </h1>
    <p id="p-jquery-muc-tieu" class="text-success"> Jquery sẽ giúp chúng ta lập trình được nhiều hơn, code ngắn hơn </p>
    <div class="form-group w-50">
        <input type="text" id="input-welcome" class="form-control" placeholder="welcome message ...">
    </div>
    <div class="form-group">
        <button id="btn-khau-hieu" class="btn btn-primary" onclick="onBtnChangeClick()"> Ấn nút này để thử </button>
        <button id="btn-doi-mau-h1-chao-mung" class="btn btn-success" onclick="onBtnChangeColorClick()"> Ấn nút này để đổi màu H1 chào mừng </button>
    </div>
</div>
</body>
<script>
    "use strict";
    $(document).ready(
        function () {
        onPageLoading();
    
   console.log($("#h1-chao-mung").html());
   console.log($("#h1-jquery-doi-tuong").html());

   $("#btn-khau-hieu").click(onBtnChangeClick);
   $("#btn-doi-mau-h1-chao-mung").click(onBtnChangeColorClick);

   function onBtnChangeClick() {
    alert("Ren luyen nhieu JQuery, se lam nhanh");
   }

   function onBtnChangeColorClick() {
    console.log("Doi mau h1");
    $("h1:first").css("color", "purple");
   }

   function onPageLoading() {
    console.log("%c Loading Page...", "color:orange");
   }
}
    );
</script>

</html>